import { ChangeDetectorRef, OnInit } from '@angular/core';
import { FlexyFormFieldLayoutSchema, SelectOptionMapper } from '@ng-flexy/form';
import { SelectOption } from '@ng-flexy/form';
import { FlexyFormControlOptionsService } from '../services/form-control-options.service';
import { FlexyFormAbstractOptionsComponent } from './abstract-options.component';
export declare class FlexyFormCheckboxListComponent extends FlexyFormAbstractOptionsComponent implements OnInit {
    protected optionsService: FlexyFormControlOptionsService;
    private cdr;
    layoutSchema: FlexyFormFieldLayoutSchema;
    default: string[];
    options: SelectOption[];
    optionsUrl: string;
    optionsMapper: SelectOptionMapper | string;
    optionsRawId: string;
    label: string;
    description: string;
    readonly: boolean;
    constructor(optionsService: FlexyFormControlOptionsService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
}
