import { Observable } from 'rxjs';
import { HttpClient } from '@angular/common/http';
import { FlexyLoggerService } from '@ng-flexy/core';
import { SelectOption, SelectOptionMapper } from '@ng-flexy/form';
export declare class FlexyFormControlOptionsService {
    private httpClient;
    private logger;
    constructor(httpClient: HttpClient, logger: FlexyLoggerService);
    loadOptions(optionsUrl: string, optionsMapper?: SelectOptionMapper | string): Observable<SelectOption[]>;
    private _jsonataMapperOptions;
    private _optionsMapper;
    private _mapperTemplate;
}
